
docker-compose up -d

docker-compose down

docker-compose restart

docker-compose logs -f

docker-compose ps  

docker-compose build --no-cache


**Docker容器一键更新到最新版镜像（以60s API举例）**
```bash
#拉取最新镜像

docker pull mlikiowa/napcat-docker:latest
docker pull couchdb:latest #Obsidian同步的数据库
docker pull aceberg/watchyourlan #扫描局域网的工具

docker pull dpanel/dpanel:latest


#停止并删除旧容器

docker stop napcat
docker rm napcat

#兰空图床免费版
docker run -d \
  --name lsky-pro \
  -p 8089:80 \
  -v /shumengya/docker/storage/lsky:/var/www/html \
  --restart=always \
  halcyonazure/lsky-pro:latest








#可视化Docker面板
docker run -d \
  --name dpanel \
  -p 8800:8080 \
  -v /var/run/docker.sock:/var/run/docker.sock \
  -v /shumengya/docker/storage/dpanel:/dpanel/data \
  --restart=always \
  dpanel/dpanel:latest



#扫描局域网的工具
docker run -d \
  --name watch-your-lan \
  --restart unless-stopped \
  --net=host \
  -e TZ=Asia/Shanghai \
  -v /shumengya/docker/storage/watchyourlan:/data \
  aceberg/watchyourlan

#Obsidian 同步数据库
docker run -d \
  --name obsidian-couchdb \
  -e COUCHDB_USER=shumengya \
  -e COUCHDB_PASSWORD='tyh@19900420' \
  -p 5984:5984 \
  couchdb:latest


  
#napcat QQ机器人
docker run -d \
  --name napcat \
  --restart=always \
  -e NAPCAT_GID=$(id -g) \
  -e NAPCAT_UID=$(id -u) \
  -p 4080:3000 \
  -p 4070:3001 \
  -p 4060:6099 \
  -v /shumengya/docker/storage/napcat/qq:/app/.config/QQ \
  -v /shumengya/docker/storage/napcat/config:/app/napcat/config \
  mlikiowa/napcat-docker:latest




```


















